You are here

Eclipse IDE Problems with CY3663 Development Kit. | Cypress Semiconductor

Support & Community

Eclipse IDE Problems with CY3663 Development Kit.

Last Updated: October 02, 2011

Using the Sun JRE, I can get eclipse to start, but after loading an example, it crashes. What can be the reason?


In many cases the Sun version of the Java JRE can cause problems on various computers. There are a couple of things that can be done about this. One option is to upgrade to the latest version of Eclipse from It has been reported to Cypress that newer versions of Eclipse do not have the same issues with the Sun JRE although Cypress does not have experience with the more recent versions of Eclipse. A second option is to uninstall the Sun JRE and use the IBM JRE instead. This has solved most of the issues customers have seen. There is a link on the Cypress CY3663 web page to download the required files (see Related links below). When installing the IBM JRE follow the instructions in the CY3663 Getting Started document, which can be found in the C:\Cypress\USB\OTG-Host\Docs directory.


Knowledge Base Tags: 

Provide feedback on this article

Browse KB By Product

Browse KB by Type